Name:		recoverjpeg
Version:	2.6.3
Release:	%mkrel 3
Summary:	Recover JPEG pictures and MOV movies from damaged devices
Group:		Graphics/Utilities
License:	GPLv2
URL:		https://rfc1149.net/devel/recoverjpeg.html
#https://github.com/samueltardieu/recoverjpeg/archive/v%%{version}.tar.gz
Source0:	https://rfc1149.net/download/%{name}/%{name}-%{version}.tar.gz
Requires:	imagemagick

%description
This tool tries to recover JFIF (JPEG) pictures and MOV movies (using
recovermov) from a peripheral. This may be useful if you mistakenly overwrite
a partition or if a device such as a digital camera memory card is bogus.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# python-shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/remove-duplicates

%files
%license COPYING
%{_bindir}/%{name}
%{_bindir}/recovermov
%{_bindir}/remove-duplicates
%{_bindir}/sort-pictures
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/sort-pictures.1*
%{_mandir}/man1/recovermov.1*
%{_mandir}/man1/remove-duplicates.1*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.6.3-3.mga9
+ Revision: 1792489
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 2.6.3-2.mga8
+ Revision: 1519891
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 21 2018 daviddavid <daviddavid> 2.6.3-1.mga7
+ Revision: 1323299
- new version: 2.6.3

* Sun Sep 23 2018 umeabot <umeabot> 2.6.2-2.mga7
+ Revision: 1300801
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 2.6.2-1.mga7
+ Revision: 1220169
- Update to version 2.6.2

* Sat Aug 12 2017 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1139931
- new version: 2.6.1
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 alexl <alexl> 2.6-1.mga6
+ Revision: 904876
- version 2.6
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.mga5
+ Revision: 749991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 688635
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 alexl <alexl> 2.3-1.mga5
+ Revision: 670193
- updated to version 2.3
- updated summary and description
- fixed license tag

* Sun Apr 06 2014 alexl <alexl> 2.2.3-1.mga5
+ Revision: 612295
- fix Group
- imported package recoverjpeg

